# List predefined templates.

Endpoint: GET /s2s/v2.0/task/template/hair-curl
Security: BearerAuthenticationV2

## Query parameters:

  - `page_size` (integer)
    Number of results to return in this page. Valid value should be between 1 and 20. Default 20.

  - `starting_token` (string)
    Token for current page. Start with `null` for the first page, and use `next_token` from the previous response to start next page

## Response 200 fields (application/json):

  - `status` (integer)
    Response status
    Example: 200

  - `data` (object)

  - `data.templates` (array)

  - `data.templates.id` (string)
    The ID of the template. Use this as `template_id` when run task.
    Example: good_template_001

  - `data.templates.thumb` (string)
    The thumbnail of style.

  - `data.templates.title` (string)
    The title of the template.

  - `data.templates.category_name` (string)
    The category name of the template.

  - `data.next_token` (string)
    Token to query next page.
    Example: 73a3c9e69b89

## Response 400 fields (application/json):

  - `status` (integer)
    Response status
    Example: 400

  - `error` (string)
    Error message
    Example: The operation could not be completed

  - `error_code` (string)
    Error code:
* InvalidParameters - Invalid request parameters or body
    Enum: "InvalidParameters"

## Response 401 fields (application/json):

  - `status` (integer)
    Response status
    Example: 401

  - `error_code` (string)
    Error code:
* InvalidApiKey - API Key is not given or not valid
* InactiveApiKey - API Key is inactivated
* ExpiredApiKey - API Key is expired
    Enum: "InvalidApiKey", "InactiveApiKey", "ExpiredApiKey"

